Bug 1462540 - Gnome shell calendar shows wrong day/date after timezone change
Gnome shell calendar shows wrong day/date after timezone change
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-18 12:19 EDT by Kevin R. Page
Modified: 2017-09-11 10:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing incorrect day/date alignment in calendar preview (963.27 KB, image/png)
2017-06-18 12:19 EDT, Kevin R. Page
no flags Details

  None (edit)
Description Kevin R. Page 2017-06-18 12:19:00 EDT
Created attachment 1288870 [details]
Screenshot showing incorrect day/date alignment in calendar preview

Using gnome-shell-3.22.3-1.fc25.x86_64 I've now noticed this a couple of times when switching timezones.

On a flight from Europe to North America last night I changed the timezone accordingly using the settings dialog, effectively moving the shell clock backwards. I've not rebooted since, only suspended and resumed.

Since that time, although the clock in the constant shell bar centre shows the correct day/date combination (Sun 18 Jun) opening up the calendar preview assigns the date to the incorrect day -- it currently is highlighting *Monday* 18th June 2017, which is incorrect.

All prior and subsequent dates are incorrectly assigned to the wrong day, making the calendar preview wrong if not dangerous (I've gone ahead and set the wrong date for meetings while abroad having used the preview to check the date of e.g. the coming Friday).

Screenshot attached.

Note You need to log in before you can comment on or make changes to this bug.